# Uses of Class
org.bukkit.generator.BiomeProvider

Packages that use BiomeProvider
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of BiomeProvider in org.bukkit

Methods in org.bukkit that return BiomeProvider
Modifier and Type
Method
Description
`@Nullable BiomeProvider`
WorldCreator.`biomeProvider()`
Gets the biome provider that will be used to create or load the world.
`@Nullable BiomeProvider`
World.`getBiomeProvider()`
Gets the biome provider for this world
`static @Nullable BiomeProvider`
WorldCreator.`getBiomeProviderForName(@NotNull String world, @Nullable String name, @Nullable CommandSender output)`
Attempts to get the `BiomeProvider` with the given name.
Methods in org.bukkit with parameters of type BiomeProvider
Modifier and Type
Method
Description
`@NotNull WorldCreator`
WorldCreator.`biomeProvider(@Nullable BiomeProvider biomeProvider)`
Sets the biome provider that will be used to create or load the world.

## Uses of BiomeProvider in org.bukkit.generator

Methods in org.bukkit.generator that return BiomeProvider
Modifier and Type
Method
Description
`@Nullable BiomeProvider`
ChunkGenerator.`getDefaultBiomeProvider(@NotNull WorldInfo worldInfo)`
Gets called when no `BiomeProvider` is set in `WorldCreator` or via the server configuration files.
`@NotNull BiomeProvider`
WorldInfo.`vanillaBiomeProvider()`
Get the vanilla `BiomeProvider` for this world.

## Uses of BiomeProvider in org.bukkit.plugin

Methods in org.bukkit.plugin that return BiomeProvider
Modifier and Type
Method
Description
`@Nullable BiomeProvider`
Plugin.`getDefaultBiomeProvider(@NotNull String worldName, @Nullable String id)`
Gets a `BiomeProvider` for use in a default world, as specified in the server configuration

## Uses of BiomeProvider in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that return BiomeProvider
Modifier and Type
Method
Description
`@Nullable BiomeProvider`
JavaPlugin.`getDefaultBiomeProvider(@NotNull String worldName, @Nullable String id)`